Difference between revisions of "Draft Move/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "=== Accrochage ===")
(26 intermediate revisions by 4 users not shown)
Line 1: Line 1:
{{GuiCommand/fr|Name=Draft Move|Name/fr=Déplacer|Workbenches=[[Draft Module/fr|Draft]]|MenuLocation=Draft → Déplacer|Shortcut=M V}}
+
<languages/>
 +
{{Docnav/fr
 +
|[[Draft_Label/fr|Etiquette]]
 +
|[[Draft_Rotate/fr|Pivoter]]
 +
|[[Draft_Module/fr|Atelier Draft]]
 +
|IconL=Draft_Label.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Rotate.svg
 +
}}
 +
 
 +
{{GuiCommand/fr
 +
|Name=Draft Move
 +
|Name/fr=Draft Déplacer
 +
|MenuLocation=Draft → Déplacer
 +
|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]
 +
|Shortcut={{KEY|M}} {{KEY|V}}
 +
|SeeAlso=[[Draft Array/fr|Draft Copie en réseau]], [[Draft PathArray/fr|Draft Chemin de copie en réseau]]
 +
|Version=0.7
 +
}}
  
 
==Description==
 
==Description==
  
Cet outil déplace un (ou des) objet(s) sélectionné(s) d'un point à un autre, dans le [[Draft SelectPlane/fr|plan de travail]] courant. Si aucun objet n'est sélectionné, il vous invitera à en sélectionner un.
+
L'outil Déplacement déplace ou copie les objets sélectionnés d'un point à un autre.
 +
 
 +
L'outil Déplacement peut être utilisé sur des formes 2D créées avec les ateliers [[Draft Workbench/fr|Draft]] ou [[Sketcher Workbench/fr|Sketcher]], mais peut également être utilisé sur de nombreux types d'objets 3D, tels que ceux créés avec les ateliers [[Part Workbench/fr|Part]] ou [[Arch Workbench/fr|Arch]].
 +
 
 +
Pour produire diverses copies dans différents arrangements, utilisez [[Draft Array/fr|Copie en réseau Draft]], [[Draft PathArray/fr|Chemin de copie en réseau Draft]] et [[Draft PointArray/fr|Point de réseau Draft]].
  
 
[[Image:Draft_Move_example.jpg|400px]]
 
[[Image:Draft_Move_example.jpg|400px]]
 +
{{Caption|Déplacer un objet d'un point à un autre}}
  
 
==Utilisation==
 
==Utilisation==
  
# Sélectionnez les objets que vous souhaitez déplacer ou copier
+
# Sélectionnez les objets que vous souhaitez déplacer ou copier.
# Cliquez sur le bouton {{KEY|[[Image:Draft Move.png|16px]] '''Déplacer'''}}, ou pressez {{KEY|M}} et la touche {{KEY|V}}
+
# Appuyez sur le bouton {{Button|[[Image:Draft Move.svg|16px]] [[Draft Move/fr|Déplacer]]}}, ou appuyez sur les touches {{KEY|M}} puis {{KEY|V}}. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.
# Cliquez le premier point dans la vue 3D, ou donnez une [[Draft_Coordinates/fr|coordonnée]]
+
# Cliquez sur un premier point de la vue 3D ou tapez une [[Draft_Coordinates/fr|Coordonnée]] et appuyez sur le bouton {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|Ajouter un point]]}}. Cela sert de point de base de l'opération.
# Cliquez un deuxième point dans la vue 3D, ou donnez une [[Draft_Coordinates/fr|coordonnée]]
+
# Cliquez sur un autre point de la vue 3D ou tapez une [[Draft_Coordinates/fr|Coordonnée]] et appuyez sur le bouton {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/fr|Ajouter un point]]}}. C'est la nouvelle position du point de base.
  
== Accrocher, Contraindre et plus ==
+
==Limitations==  
 +
Lorsque vous déplacez un objet basé sur une [[Sketcher Sketch/fr|esquisse]], par exemple, une fonctionnalité créée avec [[PartDesign Workbench/fr|PartDesign]] ([[PartDesign Pad/fr|Pad]], [[PartDesign Revolution/fr|Revolution]], etc. .) vous devez déplacer l'esquisse d'origine. Si vous déplacez l'objet dérivé, il reviendra simplement à la position définie par l'esquisse.
  
=== Préférences ===
+
==Options==
  
Déplacer un objet dans le 3D peut être terrible, et ce n'est '''pas''' ce que vous voulez. FreeCAD vient avec des outils plus puissant pour déplacer des objets, mais d'abord vous devez vérifier les préférences pour voir comment activer ces commandes.
+
* Appuyez sur les touches {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} après le premier point, pour contraindre le point suivant sur l'axe donné.
 +
* Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur {{KEY|Enter}} entre chacune des composantes X, Y et Z. Vous pouvez appuyer sur le bouton {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/fr|Ajouter un point]]}} lorsque vous avez les valeurs souhaitées pour insérer le point.
 +
* Appuyez sur {{KEY|R}} ou cliquez sur la case à cocher pour basculer en mode '' relatif ''. Si le mode Relatif est activé, les coordonnées du point suivant sont relatives au dernier; sinon, elles sont absolues, prises de l'origine (0,0,0).
 +
* Appuyez sur {{KEY|T}} ou cliquez sur la case à cocher pour basculer en mode '' continuer ''. Si le mode Continuer est activé, l'outil Déplacer redémarrera à la fin de l'opération. Vous pourrez ainsi déplacer ou copier à nouveau les objets sans appuyer à nouveau sur le bouton de l'outil.
 +
* Appuyez sur {{KEY|P}} ou cliquez sur la case à cocher pour basculer en mode '' copie ''. Si le mode Copie est activé, l'outil Déplacer conservera la forme d'origine à sa place mais en effectuera une copie au deuxième point.
 +
:Vous pouvez utiliser les deux touches {{KEY|T}} et {{KEY|P}} pour placer plusieurs copies en séquence. Dans ce cas, l'élément dupliqué est la dernière copie placée.
 +
* Maintenez appuyée la touche {{KEY|Alt}} après le premier point pour basculer également en mode copie. En maintenant la touche {{KEY|Alt}} enfoncée après avoir cliqué sur le deuxième point, vous pourrez continuer à placer des copies; relâchez {{KEY|Alt}} pour terminer l'opération et voir toutes les copies.
 +
* Maintenez appuyée la touche {{KEY|Ctrl}} en vous déplaçant pour forcer [[Draft_Snap/fr|l'accrochage]] de votre point au point de capture le plus proche, indépendamment de la distance.
 +
* Maintenez appuyée la touche {{KEY|Shift}} tout en vous déplaçant vers votre prochain point [[Draft_Constrain/fr|contraint]] horizontalement ou verticalement par rapport au dernier.
 +
* Appuyez sur {{KEY|Esc}} ou le bouton {{button|Fermer}} pour abandonner la commande en cours; les copies déjà placées resteront.
  
Aller dans le menu {{KEY|Édition}} -> {{KEY|Préférences}} -> {{KEY|DRAFT}}, puis ouvrez l'onglet {{KEY|Grille et accrochage}}.
+
==Script==
 +
{{emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] and [[FreeCAD Scripting Basics/fr|FreeCAD Scripting Basics]].
  
Vous devriez voir plusieurs options :
+
L'outil de déplacement peut être utilisé dans [[macros/fr|macros]] et à partir de la console [[Python/fr|Python]] à l'aide de la fonction suivante:
  
[[File:Pref_Draft_Snapping.png]]
+
{{Code|code=
 +
movedlist = move(objectslist, vector, copy=False)
 +
}}
  
Par défaut l’option "Toujours aimanté (désactiver le mode aimantation)" est actif, ce qui signifie que les outils d’accrochage seront toujours actifs (vous n’avez pas besoin de presser une touche pour les activer), noter ici quelles sont les touches assignées à l’activation des différents modes. Par défaut :
+
* Déplace le point de base des objets dans {{incode|objectslist}} du déplacement et de la direction indiqués par {{incode|vector}}.
 +
** {{incode|objectslist}} est soit un objet unique, soit une liste d'objets.
 +
: Le vecteur de déplacement est relatif au point de base de l'objet, ce qui signifie que si un objet est déplacé de 2 unités, puis de 2 autres unités, il aura déplacé 4 unités au total de sa position d'origine.
 +
* Si {{incode|copy}} est {{incode|True}}, des copies sont créées au lieu de déplacer les objets d'origine.
 +
* {{incode|movedlist}} est renvoyé avec les objets déplacés d'origine ou avec les nouvelles copies.
 +
** {{incode|movedlist}} est soit un objet unique, soit une liste d'objets, en fonction de l'entrée {{incode|objectslist}}.
  
* {{KEY|SHIFT}} active le mode {{KEY|Contrainte}} (déplacement le long d'un vecteur uniquement)
+
Exemple:
* {{KEY|Ctrl}} active le mode {{KEY|SNAP}} (le curseur va s'accrocher sur des points spécifiques)
 
* {{KEY|Alt}} active le mode {{KEY|ALT}}
 
  
=== Déplacement le long d'un axe spécifique ===
+
{{Code|code=
 +
import FreeCAD, Draft
  
Pour pouvoir déplacer un objet le long d'un axe spécifique, vous devez d'abord [[Draft_SelectPlane/fr| sélectionner un plan de travail]]
+
Polygon1 = Draft.makePolygon(5, radius=1000)
 +
Polygon2 = Draft.makePolygon(3, radius=500)
 +
Polygon3 = Draft.makePolygon(6, radius=220)
  
Après avoir sélectionné le premier point de déplacement, commencer à déplacer le curseur dans une direction et maintenir la touche {{KEY|SHIFT}}. FreeCAD va automatiquement contraindre le déplacement dans l'axe dominant.
+
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
 +
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
 +
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
 +
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))
  
(Cet outil est spécialement puissant si vous souhaitez aligner un point avec un autre, selon un axe donné.)
+
List1 = [Polygon1, Polygon2, Polygon3]
  
Plus d'info sur le déplacement avec les contraintes [[Draft_Constrain/fr|ici]]
+
vector = FreeCAD.Vector(-2000, -2000, 0)
 
+
List2 = Draft.move(List1, vector, copy=True)
=== Accrochage ===
+
List3 = Draft.move(List1, -2*vector, copy=True)
 
+
}}
If you have a point that you want to directly match on a solid, you can use snapping see the [[Draft_Snap|snapping]] page on how to activate the snap. Select the first point (using snap or not), and then hover to the second point until you see it highlighted.
 
 
 
By default the snapping mode is activated, but you may have it deactivated in the preferences (see preceding section), in that case, you will have to hold the Snapping key {{KEY|Ctrl}} by default.
 
 
 
=== Alt Mode ===
 
 
 
Alt mode allows you to copy and object instead of moving it only.
 
 
 
==Options==
 
 
 
* Pressez les touches {{KEY|X}}, {{KEY|Y}} ou {{KEY|Z}} après le premier point, pour contraindre le point suivant sur l'axe donné.
 
* Pour entrer les [[Draft_Coordinates/fr|coordonnées]] manuellement, entrez simplement les chiffres, et appuyez sur {{KEY|ENTER}} entre chacune des composantes '''X, Y''' et '''Z'''.
 
* Pressez la touche {{KEY|R}} ou cliquez sur la case à cocher/décocher {{KEY|'''Relative'''}}. Si le mode {{KEY|'''Relative'''}} est coché, les coordonnées du point suivant sont relatifs au dernier point. S'ils ne sont pas absolus, le point d'origine est ('''0,0,0''').
 
* Pressez la touche {{KEY|T}} ou cliquez sur la case à cocher/décocher {{KEY|'''Continue'''}}. Si le mode {{KEY|'''Continue'''}} est coché, l'outil Move va redémarrer après avoir terminé ou fermé, ce qui vous permet de déplacer ou copier les objets une nouvelle fois sans appuyer sur le bouton {{KEY|[[Image:Draft Move.png|16px]] [[Draft Move/fr]]}} à nouveau.
 
* Pressez la touche {{KEY|ALT}} ou {{KEY|C}} ou cliquez sur la touche {{KEY|'''Copy'''}} fera une copie des objets au lieu de les déplacer. Si vous gardez la touche {{KEY|ALT}} enfoncée après avoir cliqué sur le second point, vous serez capable de placer autant de copies que vous voulez, jusqu'au moment ou vous relâchiez la touche {{KEY|ALT}}.
 
* Pressez la touche {{KEY|CTRL}} pour que votre point d'emplacement se fasse sur un point d'[[Draft_Snap/fr|encrage]] (snap) disponible, indépendamment de la distance.
 
* Pressez la touche {{KEY|SHIFT}} pour créer une [[Draft_Constrain/fr|contrainte]] verticale ou horizontale en rapport avec le point de départ.
 
* Pressez la touche {{KEY|ESC}} ou la touche {{KEY|'''Cancel'''}} pour annuler la commande courante.
 
 
 
==Script==
 
 
 
La commande {{KEY|[[Image:Draft Move.png|16px]] [[Draft Move/fr|Move]]}} peut être utilisée dans une [[macros/fr|macro]] et dans la console '''Python''', en utilisant la fonction suivante :
 
  
{{Code|code=
+
{{Docnav/fr
move (FreeCAD.Object or list, Vector, [copymode])
+
|[[Draft_Label/fr|Etiquette]]
 +
|[[Draft_Rotate/fr|Pivoter]]
 +
|[[Draft_Module/fr|Atelier Draft]]
 +
|IconL=Draft_Label.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Rotate.svg
 
}}
 
}}
  
* Déplace l'objet donné ou les objets contenus dans la liste et dans la direction et distance indiquée par le vecteur donné.
+
{{Draft Tools navi/fr}}
* Si copymode est True, les objets eux-mêmes ne sont pas déplacés, mais des copies sont créées à la place.
 
* Retourne les objets (ou leurs copies) si copymode est réglé sur True
 
 
 
Exemple:
 
  
{{Code|code=
+
{{Userdocnavi/fr}}
import FreeCAD,Draft
+
{{clear}}
Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))
 
}}
 
==Limitations==
 
* Lors du déplacement (ou du changement de Placement) d'un objet du document (par exemple: Pad, Revolution, etc) basé sur un croquis (Sketcher/Part Design), vous devez déplacer le croquis original. Si vous déplacez l'objet dérivé, il retournera à la position définie par le croquis.
 
<languages/>
 

Revision as of 13:57, 8 January 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente: Draft Label.svg Etiquette
Page suivante: Pivoter Draft Rotate.svg Arrow-right.svg

Draft Move.svg Draft Déplacer

Emplacement du menu
Draft → Déplacer
Ateliers
Draft, Arch
Raccourci par défaut
M V
Introduit dans la version
0.7
Voir aussi
Draft Copie en réseau, Draft Chemin de copie en réseau


Description

L'outil Déplacement déplace ou copie les objets sélectionnés d'un point à un autre.

L'outil Déplacement peut être utilisé sur des formes 2D créées avec les ateliers Draft ou Sketcher, mais peut également être utilisé sur de nombreux types d'objets 3D, tels que ceux créés avec les ateliers Part ou Arch.

Pour produire diverses copies dans différents arrangements, utilisez Copie en réseau Draft, Chemin de copie en réseau Draft et Point de réseau Draft.

Draft Move example.jpg

Déplacer un objet d'un point à un autre


Utilisation

  1. Sélectionnez les objets que vous souhaitez déplacer ou copier.
  2. Appuyez sur le bouton Draft Move.svg Déplacer, ou appuyez sur les touches M puis V. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.
  3. Cliquez sur un premier point de la vue 3D ou tapez une Coordonnée et appuyez sur le bouton Draft AddPoint.svg Ajouter un point. Cela sert de point de base de l'opération.
  4. Cliquez sur un autre point de la vue 3D ou tapez une Coordonnée et appuyez sur le bouton Draft AddPoint.svg Ajouter un point. C'est la nouvelle position du point de base.

Limitations

Lorsque vous déplacez un objet basé sur une esquisse, par exemple, une fonctionnalité créée avec PartDesign (Pad, Revolution, etc. .) vous devez déplacer l'esquisse d'origine. Si vous déplacez l'objet dérivé, il reviendra simplement à la position définie par l'esquisse.

Options

  • Appuyez sur les touches X, Y or Z après le premier point, pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Enter entre chacune des composantes X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur R ou cliquez sur la case à cocher pour basculer en mode relatif . Si le mode Relatif est activé, les coordonnées du point suivant sont relatives au dernier; sinon, elles sont absolues, prises de l'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case à cocher pour basculer en mode continuer . Si le mode Continuer est activé, l'outil Déplacer redémarrera à la fin de l'opération. Vous pourrez ainsi déplacer ou copier à nouveau les objets sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur P ou cliquez sur la case à cocher pour basculer en mode copie . Si le mode Copie est activé, l'outil Déplacer conservera la forme d'origine à sa place mais en effectuera une copie au deuxième point.
Vous pouvez utiliser les deux touches T et P pour placer plusieurs copies en séquence. Dans ce cas, l'élément dupliqué est la dernière copie placée.
  • Maintenez appuyée la touche Alt après le premier point pour basculer également en mode copie. En maintenant la touche Alt enfoncée après avoir cliqué sur le deuxième point, vous pourrez continuer à placer des copies; relâchez Alt pour terminer l'opération et voir toutes les copies.
  • Maintenez appuyée la touche Ctrl en vous déplaçant pour forcer l'accrochage de votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez appuyée la touche Shift tout en vous déplaçant vers votre prochain point contraint horizontalement ou verticalement par rapport au dernier.
  • Appuyez sur Esc ou le bouton Fermer pour abandonner la commande en cours; les copies déjà placées resteront.

Script

Voir aussi: Draft API and FreeCAD Scripting Basics.

L'outil de déplacement peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

movedlist = move(objectslist, vector, copy=False)
  • Déplace le point de base des objets dans objectslist du déplacement et de la direction indiqués par vector.
    • objectslist est soit un objet unique, soit une liste d'objets.
Le vecteur de déplacement est relatif au point de base de l'objet, ce qui signifie que si un objet est déplacé de 2 unités, puis de 2 autres unités, il aura déplacé 4 unités au total de sa position d'origine.
  • Si copy est True, des copies sont créées au lieu de déplacer les objets d'origine.
  • movedlist est renvoyé avec les objets déplacés d'origine ou avec les nouvelles copies.
    • movedlist est soit un objet unique, soit une liste d'objets, en fonction de l'entrée objectslist.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)

Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))

List1 = [Polygon1, Polygon2, Polygon3]

vector = FreeCAD.Vector(-2000, -2000, 0)
List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)
Arrow-left.svg Page précédente: Draft Label.svg Etiquette
Page suivante: Pivoter Draft Rotate.svg Arrow-right.svg